<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link type="text/css" rel="stylesheet" href="./style.css"></link>
    <title>Document</title>
    
</head>
<body>
    <div class="container">
        <div class="faces">
            <div class="front"></div>
            <div class="left"></div>
            <div class="back"></div>
            <div class="right"></div>
        </div>
        <div class="panel">
            <a onclick="prev()">Prev</a>
            <a onclick="next()">Next</a>
        </div>
    </div>

    
    <script>
        var degree = 0;
        const update = ()=>{
            const container = document.querySelector('.container');
            container.style.setProperty("--degree", degree+"deg");
        }
        const prev = ()=>{
            degree-=90;
            update();
        }
        const next = ()=>{
            degree+=90;
            update();
        }
    </script>
</body>
</html>